accounts-qt: AuthData Class Reference

accounts-qt 1.12

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | List of all members
AuthData Class Reference

Information for account authentication. More...

`#include <Accounts/AuthData>`

## Public Member Functions
| AuthData (const AuthData &other)
| Copy constructor. More...
virtual | ~AuthData ()
| Destructor.
uint | credentialsId () const
QString | method () const
| Get the authentication method which must be used when logging in with this account. More...
QString | mechanism () const
| Get the authentication mechanism which must be used when logging in with this account. More...
QVariantMap | parameters () const
| Get the dictionary of authentication parameters which must be used when logging in with this account. More...

## Detailed Description

Information for account authentication.

The AuthData class holds information on the authentication parameters used by an account. It is an implicitly shared object which can be created with the AccountService::authData method.

Definition at line 49 of file auth-data.h.

## Constructor & Destructor Documentation

AuthData | ( | const AuthData & | other | ) |

Copy constructor.

Copying an AuthData object is very cheap, because the data is shared among copies.

Definition at line 48 of file auth-data.cpp.

## Member Function Documentation

uint credentialsId | ( |  | ) | const

Returns
  The ID of the credentials associated with this account.

Definition at line 74 of file auth-data.cpp.

QString mechanism | ( |  | ) | const

Get the authentication mechanism which must be used when logging in with this account.

Returns
  The authentication mechanism.

Definition at line 94 of file auth-data.cpp.

QString method | ( |  | ) | const

Get the authentication method which must be used when logging in with this account.

Returns
  The authentication method.

Definition at line 84 of file auth-data.cpp.

QVariantMap parameters | ( |  | ) | const

Get the dictionary of authentication parameters which must be used when logging in with this account.

Returns
  The authentication parameters.

Definition at line 104 of file auth-data.cpp.

The documentation for this class was generated from the following files:

- Accounts/auth-data.h
- Accounts/auth-data.cpp